prometheus-node-exporter:
  image:
    registry: "registry.cn-shenzhen.aliyuncs.com/shuhui"
    repository: node-exporter

grafana:
  image:
    registry: "registry.cn-shenzhen.aliyuncs.com/shuhui"
    repository: grafana
    tag: "12.4.1"
  sidecar:
    image:
      registry: "registry.cn-shenzhen.aliyuncs.com/shuhui"
      repository: k8s-sidecar
  persistence:
    type: pvc
    enabled: true
    accessModes:
      - ReadWriteOnce
    size: 10Gi

  # 用户凭证
  adminUser: admin
  adminPassword: Admin@8848

kube-state-metrics:
  image:
    registry: "registry.cn-shenzhen.aliyuncs.com/shuhui"
    repository: kube-state-metrics
  containers:
    - name: crd-init
      image: registry.cn-shenzhen.aliyuncs.com/shuhui/k8s-sidecar:2.5.0
  
  initContainers:
    - name: crd-sidecar
      image: registry.cn-shenzhen.aliyuncs.com/shuhui/k8s-sidecar:2.5.0


victoria-metrics-operator:
  image:
    registry: "registry.cn-shenzhen.aliyuncs.com/shuhui"
    repository: "operator"
    tag: "v0.68.3"
  crds:
    cleanup:
      enabled: false
      image:
        repository: "registry.cn-shenzhen.aliyuncs.com/shuhui/kubectl"
  env:
    # 配置重载器
    - name: VM_CONFIG_RELOADER_IMAGE
      value: "registry.cn-shenzhen.aliyuncs.com/shuhui/operator:config-reloader-v0.53.0"
    
    # VMAlert 告警服务
    - name: VM_VMALERTDEFAULT_IMAGE
      value: "registry.cn-shenzhen.aliyuncs.com/shuhui/vmalert"
    
    # VMAgent 采集代理
    - name: VM_VMAGENTDEFAULT_IMAGE
      value: "registry.cn-shenzhen.aliyuncs.com/shuhui/vmagent"
    
    # VMSingle 单机版时序数据库
    - name: VM_VMSINGLEDEFAULT_IMAGE
      value: "registry.cn-shenzhen.aliyuncs.com/shuhui/victoria-metrics"
    
    # VMCluster 集群组件 - 查询层
    - name: VM_VMCLUSTERDEFAULT_VMSELECTDEFAULT_IMAGE
      value: "registry.cn-shenzhen.aliyuncs.com/shuhui/vmselect"
    
    # VMCluster 集群组件 - 存储层
    - name: VM_VMCLUSTERDEFAULT_VMSTORAGEDEFAULT_IMAGE
      value: "registry.cn-shenzhen.aliyuncs.com/shuhui/vmstorage"
    
    # VMCluster 集群组件 - 写入层
    - name: VM_VMCLUSTERDEFAULT_VMINSERTDEFAULT_IMAGE
      value: "registry.cn-shenzhen.aliyuncs.com/shuhui/vminsert"
    
    # VMBackup 备份工具
    - name: VM_VMBACKUP_IMAGE
      value: "registry.cn-shenzhen.aliyuncs.com/shuhui/vmbackup"
    
    # VMAuth 认证代理
    - name: VM_VMAUTHDEFAULT_IMAGE
      value: "registry.cn-shenzhen.aliyuncs.com/shuhui/vmauth"
    
    # VMAlertmanager 使用的基础 Alertmanager 镜像
    - name: VM_VMALERTMANAGER_ALERTMANAGERDEFAULTBASEIMAGE
      value: "registry.cn-shenzhen.aliyuncs.com/shuhui/alertmanager"
